Ask Your Question
0

Install RPM package/driver from future Fedora release?

asked 2012-12-14 20:02:23 -0600

agiorlando gravatar image

updated 2014-09-30 11:13:56 -0600

mether gravatar image

Hi all. I have a problem with the video driver that comes with Fedora 17. I previously had Fedora 18 installed and the Intel video driver worked in that one. I am currently stuck on VESA mode.

Is there a way to install the driver from Fedora 18? I have the RPM already, but I am getting dependency issues that I have no idea how to resolve.

Here is what I am getting: Error: Package: xorg-x11-drv-intel-2.20.14-1.fc18.i686 (/xorg-x11-drv-intel-2.20.14-1.fc18.i686) Requires: libudev.so.1(LIBUDEV_183) Error: Package: xorg-x11-drv-intel-2.20.14-1.fc18.i686 (/xorg-x11-drv-intel-2.20.14-1.fc18.i686) Requires: xserver-abi(videodrv-13) >= 0 Error: Package: xorg-x11-drv-intel-2.20.14-1.fc18.i686 (/xorg-x11-drv-intel-2.20.14-1.fc18.i686) Requires: libudev.so.1 You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2012-12-15 10:22:54 -0600

ZenDark gravatar image

Hi,

It's a very bad idea to install a RPM from a newer distro intro an older one.

Since you want that package xorg-x11-drv-intel-2.20.14 you could search it for F17. I thinks that it's in fedora updates testing (soon it will be pushed into updates).

yum install --enablerepo=updates-testing xorg-x11-drv-intel

xorg-x11-drv-intel    x86_64       2.20.14-1.fc17       updates-testing     494 k

Good luck!!

edit flag offensive delete link more

Question Tools

Stats

Asked: 2012-12-14 20:02:23 -0600

Seen: 983 times

Last updated: Dec 15 '12